Getting "Detected unsupported version of TIM" error.

Document ID : KB000029463
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

The APM TIM 9.7 installation is different from previous releases which were on TIMsoft and appliance servers. The Red Hat Linux operating system and license is now supplied by the customer. This document explains about a workaround when getting the "Detected unsupported version of TIM" error.

Issue:

When performing an APM TIM 9.7 fresh installation on Red Hat Linux, various error messages may appear. One of these can be very misleading

 

Detected unsupported version of TIM. Upgrade cannot proceed. Try Fresh Install !!!!!!!

 

 

Below is an example from a fresh TIM installation on a RedHat Linux server, with a language selection of Portuguese:

 

[root@localhost APM]# ./timInstall.bin
******************************************************
Checking Pre-requisites
******************************************************
OS Version check ... PASSED
Platform Version check ... PASSED
Duplicate TIMs check ... PASSED
RPM dependencies check ... PASSED
******************************************************
./timInstall.bin: line 1111: [: número excessivo de argumentos
!!!!!!! Detected unsupported version of TIM. Upgrade cannot proceed. Try Fresh Install !!!!!!!

 

The error is misleading because no prior version of the TIM is installed.

 

Solution:

The issue is simply solved by reverting the language selection to English. The installation should proceed without any further problems.